# DeDriverLicenseFront class

German driver license (Führerschein), front side

Inheritance
  - Object
  - GenericDocumentWrapper
  - DeDriverLicenseFront

## Constructors

DeDriverLicenseFront(GenericDocument document)

## Properties

birthDate ↔ ValidatedTextFieldWrapper
  Birth date
  read / write
birthplace ↔ TextFieldWrapper
  Birthplace
  read / write
document ↔ GenericDocument
  read / write inherited
documentType → DocumentType
  read-only override
expiryDate ↔ ValidatedTextFieldWrapper
  Expiry date
  read / write
givenNames ↔ TextFieldWrapper
  Given names
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
id ↔ TextFieldWrapper
  Document ID number (in the top-right corner)
  read / write
issueDate ↔ ValidatedTextFieldWrapper
  Issue date
  read / write
issuingAuthority ↔ TextFieldWrapper
  Issuing authority
  read / write
licenseCategories ↔ TextFieldWrapper
  Driver's license categories
  read / write
photo ↔ TextFieldWrapper
  Photo image
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
signature ↔ TextFieldWrapper
  Signature image
  read / write
surname ↔ TextFieldWrapper
  Surname
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
  `"DeDriverLicenseFront"`
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.
  `"DeDriverLicenseFront"`